#
# spec file for package evince (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           evince
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gir-repository
BuildRequires:  ghostscript-fonts-std
BuildRequires:  ghostscript-x11
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  libdjvulibre-devel
BuildRequires:  libglade2-devel
BuildRequires:  libpoppler-glib-devel
BuildRequires:  libspectre-devel
BuildRequires:  libtiff-devel
BuildRequires:  nautilus-devel
BuildRequires:  t1lib-devel
BuildRequires:  texlive-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Version:        2.28.2
Release:        0.1.3
Url:            http://www.gnome.org/projects/evince/
Group:          Productivity/Office/Other
License:        GPLv2+
Summary:        GNOME Document Viewer
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
# For the comics backend
Suggests:       p7zip
Suggests:       unrar
Suggests:       unzip
# Replaces ggv in <= 10.3, gpdf in <= 10.2:
Provides:       ggv gpdf
Obsoletes:      ggv gpdf
%gconf_schemas_prereq

%description
Evince is a document viewer capable of displaying multiple and
singlepage document formats like PDF and PostScript. For more
information about Evince, visit the project Web site at
http://www.gnome.org/projects/evince/.



Authors:
--------
    copyright 1996-2003 Glyph & Cog, LLC.
    Martin Kretzschmar <m_kretzschmar@gmx.net>
    Marco Pesenti Gritti <marco@gnome.org>
    Jonathan Blandford <jrb@gnome.org>

%package devel
License:        GPLv2+
Summary:        GNOME Document Viewer
Group:          Productivity/Office/Other
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Obsoletes:      evince-doc <= 2.25.4
Provides:       evince-doc = 2.25.4

%description devel
Evince is a document viewer capable of displaying multiple and
singlepage document formats like PDF and PostScript. For more
information about Evince, visit the project Web site at
http://www.gnome.org/projects/evince/.



Authors:
--------
    copyright 1996-2003 Glyph & Cog, LLC.
    Martin Kretzschmar <m_kretzschmar@gmx.net>
    Marco Pesenti Gritti <marco@gnome.org>
    Jonathan Blandford <jrb@gnome.org>

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --disable-static --with-pic\
	--disable-scrollkeeper\
	--enable-djvu\
	--enable-dvi\
	--enable-comics\
	--enable-impress\
	--enable-pixbuf\
	--enable-t1lib\
	--enable-nautilus\
        --enable-introspection
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%suse_update_desktop_file -r -N Evince evince GNOME GTK Graphics Office Viewer
find %{buildroot} -type f -name "*.la" -exec %{__rm} -fv {} +
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/evince
%{_datadir}/icons/hicolor/*/apps/evince*.*
%{_libdir}/nautilus/extensions-*/*.so
%{_libdir}/evince
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_libdir}/*.so.*
%doc %{_mandir}/man?/*.*

%files lang -f %{name}.lang
%defattr (-, root, root)
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help

%files devel
%defattr(-, root, root)
%{_includedir}/evince
%{_libdir}/*.so
%{_libdir}/pkgconfig/evince*.pc
%{_datadir}/gtk-doc/html/evince
%{_datadir}/gtk-doc/html/libevdocument
%{_datadir}/gtk-doc/html/libevview
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + bgo#601433 - Make sure view is redrawn as soon as current page
    is rendered
  + bgo#599470 - Set page orientation of each page when printing
  + bgo#599468 - Preserve aspect ratio when scaling page for
    printing
  + bgo#599726 - Make series ID unique
- Changes from version 2.28.1:
  + bgo#597691 - Make sure total_num_bytes > 0 before using it in
    progress
  + bgo#597691 - Escape document URI before showing it in progress
    area
  + Remove progress message area when document download finishes
  + bgo#593316 - Fix a crash when there are form field widgets
    active during
  + bgo#595887 - Do not try to recover invalid or unneeded files
  + Updated translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + bgo#570054 - Populate destination page when reloading the
    document
  + bgo#595079 - Save images as png or jpg when the filename has no
    extensions.
* Tue Aug 11 2009 dominique-obs@leuenberger.net
- Update to version 2.27.90:
  + Let scroll wheel change page when in non-continuous best-fit
    mode (bgo#562257)
  + Show print progress information when using GtkPrintOperation
  + Don't show crash recovery dialog when requested file is the
    only one to be recovered (bgo#578894)
  + Disable crash recovery when D-BUS is disabled (bgo#578894)
  + Grab focus on view widget after setting metadata (bgo#589300)
  + Fixes segmentation violation when print file format is empty
    (bgo#589226)
  + Use AM_V_GEN to make custom commands silent (bgo#585355)
  + Don't install schema files when building without gconf
  + Updated translations.
* Tue Jul 21 2009 vuntz@novell.com
- Enable gobject-introspection support: add
  gobject-introspection-devel and gir-repository BuildRequires,
  pass --enable-introspection to configure.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + Compute selections on button press for word/line selections
    (bgo#562059)
  + Fix several even/odd multipage issues (bgo#583429)
  + Register thumbnailing for gzip/gzip dvi files (bgo#588013)
  + Get rid of shave with AM_SILENT_RULES automake option
    (bgo#585355)
  + Make evince output pdf on supported printers (bgo#585442)
  + Fix build on windows
  + Determine data directory on runtime on windows
  + Fix build without GConf
  + Fix several introspection build issues (bgo#585971)
  + Updated translations.
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.3:
  + New Features and UI Improvements:
  - Update the hildon port
  - Complete the win32 port (bgo#339172)
  - Allow activate the menubar in fullscreen mode (bgo#504243)
  - Do not create popup window if the annot doesn't have a popup
  - Add tests for printer settings (bgo#583976)
  - Remember and reuse "Save a Copy..." path (bgo#485195)
  - Support for cb7 using the p7zip commands in comics backend
    (bgo#565174)
  - Parse xml metadata to detect PDF/A documents (bgo#582206)
  + Bug fixes:
  - Several build fixes and improvements
  - Fix page transitions in presentation mode (bgo#583652,
    bgo#581881)
  - Scale according to paper size before rendering for printing
  - Fix multipage even/odd printing issues (bgo#583429, #583388)
  - Gracefully work with FITB destinations and friends
    (bgo#583276)
  - Fix double to int conversion in thumbnails_get_dimensions
    (bgo#581524)
  - Ohter bugs fixed: bgo#584617, bgo#585497
  + Updated translations.
- Add suggest for p7zip and unzip for the comics backend.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.27.1:
  + New Features and UI Improvements:
  - Use GtkPrintOperation when printing for the backends that
    support rendering into a cairo context (bgo#557112)
  - Recover previous session when running evince after a crash
    (bgo#578894)
  - Preliminary annotations support (bgo#315002)
  - Rename Print Setup menu entry as Page Setup for consistency
    with the GTK+ dialog title (bgo#581109)
  - Added F3 as a find-next accelerator key (bgo#579072)
  - Support the free Gna! unrar tool in comics backend
    (bgo#552074)
  - Add evince-previewer as a separate applicaton that implements
    the printing preview
  + Bug fixes:
  - Fix handling of the tmp folder (bgo#582108)
  - Abort dnd operations originated in the same Evince window
    (bgo#582077)
  - Disable bouncing during scrolling (bgo#533534)
  - Fix build without gconftool-2 (bgo#581441)
  - Fix documentation build (bgo#579671)
  - Fix error handling of broken documents (bgo#580886)
  - Fix several memory leaks in comics backend (bgo#552074)
  - Escape URIs for display (bgo#581064)
  - Resync with libegg to remove deprecated GTK+ symbols
    (bgo#580556)
  - Correct check for exit status of commands in comics backend
    (bgo#579656)
  - Add -no-undefined flag for Cygwin build (bgo#580058)
  - Use g_file_make_symbolic_link to create symlinks (bgo#339172)
  - Delete the temp symlink created when opening a copy
  - Don't redraw again when zoom is set more than once to the
    same scale factor
  - Fix print preview of empty selection (bgo#517735)
  - Don't prevent unmounting in case the initial cwd is on an
    external device (bgo#575436)
  - Create and load the document based on the mime-type provided
    by nautilus instead of using our own documents factory.
    (bgo#533917)
  - Fix endianess issues in dvi and tiff backends (bgo#578433,
    bgo#509920)
  - Fix memory leak in tiff backend (bgo#578285)
  - Fix path where accels file is saved (bgo#577500)
  - Fix fading animations
  - Translate the categories in the nautilus properties tab
    (bgo#575085)
  - Other bugs fixed: bgo#539972, bgo#578436, bgo#582543
  + Updated translations.
- Suggests unrar for the comics backend.
* Thu Apr 16 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Don't prevent unmounting in case the initial cwd is on an
    external device (bgo#575436)
  + Create and load the document based on the mime-type provided by
    nautilus instead of using our own documents factory.
    (bgo#533917)
  + Fix endianess issues in dvi and tiff backends (bgo#578433,
    bgo#509920)
  + Fix memory leak in tiff backend (bgo#578285)
  + Fix path where accels file is saved (bgo#577500)
  + Fix fading animations
  + Translate the categories in the nautilus properties tab
    (bgo#575085)
  + Updated translations.
* Thu Mar 26 2009 crrodriguez@suse.de
- use --disable-static instead of removing static libraries at %%install
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Fix compiler warning when building with -Wformat
    (bgo#574168)
  + Fix a crash with encrypted documents
  + Translation updates
- Remove libstdc++, scrollkeeper and texlive-bin-devel from
  BuildRequires
- Add gtk2-devel to Requires for -devel package
- Use find %%{buildroot} -type f -name "*.*a" -exec %%{__rm} -fv {} +
  to remove *.*a files
- Don't package omf files twice (they are in the lang package too).
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Show the 'jump to page' window in the right GdkScreen
    (bgo#560541)
  + Make our own thumbnail when the provided one doesn't have the
    needed size (bgo#323198, bgo#307357)
  + Reduce the restriction on the minimum size of thumbnails from
    40 to 1 (bgo#323198)
  + Use GOption in thumbnailer
  + Fix saving a copy of encrypted PDF documents (bgo#566791)
  + Don't use g_quark_from_static_string in a loadable module
  + Use g_object_unref() instead of gdk_pixbuf_unref() in impress
    backend (bgo#571707)
  + Updated translations.
- Remove -fno-strict-aliasing from CFLAGS.
* Sun Feb 22 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Fix several memory leaks
  + Fix errors handling and propagation
  + Fix several translation strings in properties dialog
    (bgo#571787)
  + Do not resize the window on reloading (bgo#571051, bgo#304249)
  + Experimental introspection support (bgo#569083)
  + Use g_set_error_literal()
  + Other firxes for win32 (bgo#339172)
  + Make session manager code compile for win32 (bgo#339172)
  + Update totem-screensaver from totem svn to make it build for
    win32 (bgo#339172)
  + Make use of GConf optional (bgo#339172)
  + Fix i18n in libdocument
  + Include gi18n-lib.h instead of gi18n.h in libs and backends
  + Updated translations.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Feb  5 2009 vuntz@novell.com
- Remove BuildRequires: docbook_4.
- Merge doc package in devel package: it's gtk-doc, not user
  documentation.
* Thu Feb  5 2009 mboman@suse.de
- Update to version 2.25.90:
  + Split API documentation into libdocument, libview and shell
    (bgo#568465)
  + Fix symbols conflict in impress backend (bgo#569998)
  + Add mnemonics to buttons in search bar (bgo#569212)
  + Fix a crash when printing (bgo#569328)
  + Fix --version command line option (bgo#562869)
  + Use versioned directory for backends (bgo#569082)
  + Add EV_DEFINE_BOXED_TYPE and EV_DEFINE_INTERFACE macros
    (bgo#568228)
  + Sync EggToolbarEditor with libegg
  + Respect directory umask and setgid when saving files
    (bgo#568593)
  + Add libtool versioning, pkg-config files and single headers for
    libdocument and libview (bgo#568224, bgo#568220, bgo#568229,
    bgo#568227)
  + Remove G_OBJECT casts from g_signal_connect calls (bgo#568386)
  + Install several missing header files of libdocument and libview
    (bgo#567787, bgo#567790)
  + Other bugs fixed: bgo#569120, bgo#569231, bgo#569327,
    bgo#570077
  + Translation updates
* Sat Jan 31 2009 mboman@suse.de
- Update to version 2.25.5:
  + Move EvView specific code to a libevview library so that it can
    be embbeded in other applications (bgo#567751)
  + Other improvements for embbeders (bgo#567785, bgo#567788,
    bgo#567789)
  + Fix a minor typo
  + Fix the API docs build (bgo#568171)
  + Simplify drag data handling (bgo#558084)
  + Several portability issues (bgo#339172)
  + Fix mnemonic conflict (bgo#567937)
  + Other bugs fixed: bgo#567910
  + Translation updates
* Fri Jan 23 2009 vuntz@novell.com
- Drop evince-2.19.92-correct-help-uri.patch: with GTK+ 2.14 or
  later, upstream now uses gtk_show_uri(), which renders the makes
  useless.
* Fri Jan 23 2009 vuntz@novell.com
- Remove useless BuildRequires.
- Drop evince-thumbnailer-g_type_init.patch, fixed upstream.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Show progress information when loading/saving remote files
    (bgo#370958)
  + Remember page setup options (bgo#525185, bgo#349102)
  + Show a confirmation dialog when there are pending print jobs
    while closing the main window (bgo#480964)
  + Show progress information when printing (bgo#482770)
  + Add document URI to properties page (bgo#555376)
  + Bump glib requirement to fix build with older versions
  + Fix mime type handling
  + Fix saving images to remote locations
  + Do not try to jump to the location of the find result for every
    match, but only for the first one. It makes searching really
    faster. (bgo#564774)
  + Fix zip mime-type in comics backend
  + Fix several memory leaks
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.2:
  * PDF Optional content (layers) support
  * The password dialog has been reworked in order to make it more
    hig compliant and consistent (bgo#562496)
  * Improved keyring support. Password dialog is not shown anymore
    when the password is already in the keyring
  * Support for monitor and reload of remote documents
    (bgo#555399)
  * Fix opening comic documents with a wrong but valid extension
    (bgo#562143)
  * Fix a crash when searching (bgo#558377)
  * Fix several crashes when selecting text (bgo#561393)
  * Use the message area instead of popup dialogs for any error and
    warning messages
  * Adapt to the new single-include policy (bgo#558064)
  * Fix page transition in presentation mode (bgo#516749)
  * Other bugs fixed: (bgo#558066)
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Bugs fixed: bgo#556162, bgo#556264, bgo#534684, bgo#555801, bgo#554500,
    bgo#552382, bgo#553369, bgo#555134
  + Fix several memory leaks
  + Translation updates
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Use GdkAppLaunchContext when available to launch external uris
  + Use the message area to show errors when lauching external uris
    instead of a popup window
  + Assume invalid uris are http uris (bgo#552071)
  + Updated translations.
* Wed Sep 10 2008 maw@suse.de
- Update to version 2.23.92:
  + Bugs fixed: bgo#529833, bgo#550136, and bgo#547164
  + Updated translations.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Use EggSMClient from libegg instead of gnome-client and remove
    libgnome and libgnomeui dependencies
  + Implement document_get_page_label in tiff backend
  + Bugs fixed: bgo#549163, bgo#548653, bgo#548444, bgo#547440,
    bgo#548462
  + Start up in the right workspace when resuming a previous session
  + Fix metacity warnings shown in ~/.xsession-errors
  + Updated translations.
* Fri Aug 29 2008 maw@suse.de
- Update to version 2.23.6:
  + .desktop file fix (bgo#544237)
  + Updated translations.
* Fri Aug  8 2008 maw@suse.de
- Update to version 2.23.5:
  + A warning message is shown in the message area when the
    document has no pages (bgo#171588)
  + Automaticly reload the document when the file has changed on
    disk (bgo#304249)
  + Added Ctrl-Insert keybinding for copying text and Ctrl+N for
    opening a copy (bgo#526523 and bgo#532239)
  + Save as action has been added as a toolbar button too
  + Primary selection is also updated when copying a link address
    (bgo#520855)
  + Added GtkMountOperation, copied from gtk+
  + GS code has been removed; libspectre is now required to build
    the PostScript backend
  + Intercept window manager's fullscreen request in order to
    run/stop fullscreen mode (bgo#493541)
  + 7-zip compressed commics support (bgo#532312)
  + Add Alt+Left and Alt+Right shortcuts to rotate (bgo#539972)
  + Media player keys support (bgo#539971)
  + Bugs fixed: bgo#537574, bgo#530852, bgo#530202, bgo#520290,
    bgo#536883m bgo#533323, bgo#533897, bgo#533896, bgo#534493,
    bgo#537535, bgo#531956, bgo#542548, bgo#542924, bgo#540950,
    and bgo#542001
  + Updated translations
- Respin evince-2.19.92-correct-help-uri.patch.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.22.2:
  + Bugs fixed: bgo#533323, bgo#530852, and  bgo#520290
  + Updated translations
- Drop an obsolete patch:
  evince-bnc379750-impress-parser-crashes.patch.
* Thu May  1 2008 hpj@suse.de
- Added evince-bnc379750-impress-parser-crashes.patch, which
  fixes bnc#379750.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1.1:
  + Bugs fixed: bgo#526799, bgo#526517, bgo#307087, bgo#524288,
    bgo#525015, bgo#525009, bgo#521797, bgo#523069, bgo#508845,
    bgo#365332, bgo#521224, and bgo#524112
  + Updated translations.
* Mon Mar 17 2008 rodrigo@suse.de
- Tag patches
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Do not print when Escape is pressed to close printing dialog
    (bgo#495107)
  + Fix a crash in nautilus properties page (bgo#519679)
  + Fix a crash with transition effects (bgo#519106)
  + Fix document mime type detection (bgo#518874)
  + Fix a crash in forms (bgo#518831)
  + Fix images extraction (bgo#516237)
  + Updated translations.
* Tue Feb 19 2008 maw@suse.de
- Update to version 2.21.91:
  + Bugs fixed: bgo#512370, bgo#513934, bgo#482720, bgo#512719,
    bgo#512720, bgo#512718, bgo#512771, and bgo#513203
  + Updated translations.
* Tue Feb  5 2008 jpr@suse.de
- Add evince-thumbnailer-g_type_init.patch (bnc #358405)
* Thu Jan 31 2008 maw@suse.de
- Update to version 2.21.90:
  + This release overrides document permissions by default. See
    http://bugzilla.gnome.org/show_bug.cgi?id=382700 for more
    information about this.
  + Ghostscript interface for PostScript documents is now
    deprecated and libspectre is suggested instead
  + Port to gio and drop gnome-vfs dependency
  + Scroll pages in page entry with mouse wheel (bgo#324122)
  + Automatic scrolling in context menu (bgo#323670)
  + Kinetic scrolling (bgo#4612713)
  + New plugin system for backends (bgo#351348)
  + Allow saving images in formats other than PNG (bgo#500209)
  + Add support for page transitions (bgo#458460)
  + Override document restrictions by default (bgo#382700)
  + Use up/down arrows instead of left/right (bgo#170081)
  + Reset cursor correctly (bgo#501603, bgo#509958)
  + Use GSlice to allocate memory (bgo#475972)
  + Do not limit minimum zoom factor in best fit/fit width mode
    (bgo#503805)
  + Use libspectre, if available, for the ps backend (bgo#317106,
    bgo#499787, bgo#501235, bgo#421879, bgo#445797, bgo#443859,
    bgo#486547, bgo#386005, bgo#507705)
  + Put RTL marker in recent file list (bgo#509076)
  + Put Nautilus extension in right place (bgo#505359)
  + Avoid filename quoting issues (bgo#502500)
  + Repair horizontal scrolling with shift (bgo#483412)
  + Gnome Keyring is now an optional dependency (bgo#509676)
  + Reduce memory consumption by rendering images on demand
  + Fix printing in dvi backend when filename contains white spaces
  + Other bugs fixed: bgo#502843, bgo#460658, bgo#504721, and
    bgo#511635
  + Updated translations
- Split out a -devel subpackage.
* Fri Jan 25 2008 maw@suse.de
- Update to version 2.21.1:
  + New Features and UI Improvements:
  * Use message area for notification about errors
  * Some print settings for documents are stored in metadata
  * Added command line option for search
  * Expander with a recent documents is added to toolbar
  * Egg-recent code dropped
  * Djvu, dvi and comics are enabled by default
  * Support for links with URI's like mailto (Pascal Terjan)
  * Removed the shadow of the fullscreen toolbar
  + Bug fixes:
  * Tiff documents were rendered with wrong colors
  * Fix endless loop when zero pages per sheet is selected
  * Do not jump to the first page when reloading from command
    line
  * Memory leak fix
  * Fix printing with poppler splash backend
  * Fix a crash when printing with the gnome-print dialog
  * Warning fix
  * Printing multiple pages per sheet fixes
  * Respect ranges order during print
  * Silently ignore unknown form fields
  * Do not show the toolbar in fullscreen mode if the main
    toolbar is not visible
  * Give priority to form fields over images
  + Updated translations
- Remove abuild.patch
- Respin evince-2.19.92-correct-help-uri.patch and rename it to
  evince-2.21.1-correct-help-uri.patch.
* Tue Oct 16 2007 sbrabec@suse.cz
- Package provides replacement for ggv and gpdf.
* Thu Oct 11 2007 sbrabec@suse.cz
- poppler devel package names prepended by "lib".
* Wed Oct 10 2007 maw@suse.de
- Remove evince-poppler-0.5.4.patch,
  evince-poppler-0.5.4-ifdef-cleanup.patch, and
  evince-poppler-0.5.4-ifdef-zoom-cleanup.patch, which were only
  necessary to make evince build against an old version of poppler.
* Mon Oct  8 2007 sbrabec@suse.cz
-  Use binding specific poppler devel package.
* Mon Oct  1 2007 jpr@suse.de
- Don't use cairo rendering patch for zoom (#329047)
* Tue Sep 18 2007 maw@suse.de
- Update to version 2.20.0:
  + Forms support broken by forgotten ifdef fix fixed
  + Fixed an issue with making a copy and xfer to different file
    system
  + Desktop file fixes
  + Updated translations
- Respin evince-poppler-0.5.4-ifdef-cleanup.patch.
* Sun Sep 16 2007 jpr@suse.de
- Add evince-poppler-0.5.4-ifdef-cleanup.patch which augments
  evince-poppler-0.5.4.patch.  The original patch caused print
  rendering code to be #ifdef'ed out and overloaded the meaning of an
  [#]ifdef variable (#310058))
* Sat Sep 15 2007 hpj@suse.de
- Add evince-2.19.92-correct-help-uri.patch, which lets us find our
  documentation in help-bundle/.
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.19.92:
  + The poppler requirement upstream has been bumped to 0.6 (but
    we continue to build against 0.5.4, so respin
    evince-poppler-0.5.4.patch)
  + Restart searches when reloading a document with the find bar
    visible
  + Don't jump to the first page when reloading a document from the
    last page
  + Don't update visibility when changing a chrome flag
  + Use GTK_UNIT_POINTS instead of GTK_UNIT_PIXEL
  + Make sure current-page <= end-page in continuous mode
  + Ignore outline items without a title
  + Use only drag mouse cursor during a drag op
  + Actually fix printing regressions
  + Add support for double and triple click selections
  + Updated translations.
* Thu Aug 30 2007 maw@suse.de
- Remove perl-dont-interpolate-at-sign.patch, which was working
  around a temporarily broken intltool.
* Wed Aug 29 2007 maw@suse.de
- Update to version 2.19.4
  + The big bump in version number is due to evince now following
    version numbers used by much of the rest of the GNOME project
  + Find works when findbar is hidden (Justin Blanchard)
  + Use directly cairo_surface_get_content (Jeff Muizelaar)
  + Great speedup by using CAIRO_FORMAT_RGB24 instead of
    CAIRO_FORMAT_ARGB32 (Jeff Muizelaar)
  + Fix for embedded thumbnails dimension and rotation (Carlos
    Garcia Campos)
  + Avoid ifdefs inside macros (Jens Granseuer)
  + Memory leak fixes (Justin Blanchard, Hiroyuki Ikezoe)
  + New icon sizes (Andreas Nilsson)
  + Invalid read fix (Justin Blanchard)
  + Fix multihead problems in toolbar editor (Carlos Garcia Campos)
  + Use the same cairo context for every page in the same expose
    event (Carlos Garcia Campos)
- Add perl-dont-interpolate-at-sign.patch.
* Tue Aug 14 2007 jpr@suse.de
- Build evince with PDF support and poppler 0.5.4 (#293561)
- Build evince with dejavu support (#288641)
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Thu Aug  2 2007 mauro@suse.de
- Remove the ExcludeArch per Ro request.
* Wed Aug  1 2007 mauro@suse.de 
- Update to version 0.9.3
- Added an ExcludedArch for ia64 and s390
- Fix a header problem with ev-link, use new gtk tooltips when available
  instead of ev-tooltip.
- Fix compile warnings, fix memory leak,
- Bugfix for bug #396535, #449462, #460862, #437681, #460909, #458111,
  [#455667], #452872, #449734, #452850, #349433,  #450148, #415032.
* Fri Jul  6 2007 maw@suse.de
- Update to version 0.9.1
- New features:
  * Printing support in djvu documents (Alaska Subedi)
  * Optional drop of libgnome dependency (Ross Burton)
  * Print button for preview mode (Carlos Garcia Campos)
  * Remember print settings (Carlos Garcia Campos)
  * Use gtk+ builtin paper list to identify the document's paper size (Carlos Garcia Campos)
  * Start rendering pages before any other jobs (Carlos Garcia Campos)
  * Developer documentation updated. (Iñigo Martínez)
  * History button improvements (Nickolay Shmyrev)
  * Cairo-based renderer for pages and selections of PDF, DVJU and DVI documents (Carlos Garcia Campos)
  * PDF exporter for printing DVI documents (Alaska Subedi)
  * Zoom icon artwork (Michael Monreal)
  * Patch to avoid frequent process wakeup for metadata handling (Bastien Nocera, Arjan van de Ven)
  * Bumped poppler requirements to 0.5.9 (Carlos Garcia Campos)
  * Changed sidebar ordering (Wouter Bolsterlee)
  * Removed extra locking of a main loop to speed up rendering (Carlos Garcia Campos)
- Bug fixes and updated translations
- Add abuild.patch.
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Mon May 14 2007 pgajdos@suse.cz
- removed gnome-icon-theme and hicolor-icon-theme from both
  Requires and BuildRequires [#247450]
* Fri Apr 20 2007 aj@suse.de
- Use texlive for building.
* Wed Apr 11 2007 maw@suse.de
- Update to version 0.8.1
- Bugfixes:
  * Default resolutions used  when it's not provided by TIFF
    document (Carlos Garcia Campos)
  * Added support for ps, eps and compressed documents
    thumbnails (Carlos Garcia Campos)
  * Implemented font color specials in the DVI backend (Ricardo Markiewicz)
  * DOCUMENTS folder from xdg-data-dirs is used as default folder when
    opening a file chooser (Matthias Clasen)
  * unlink-tempfile is used instead of unlink-temp-file (Carlos Garcia Campos)
- Updated translations for the ca, gl, eu, es, cs, and dz locales.
* Fri Mar 23 2007 maw@suse.de
- Update to version 0.8.0
- b.g.o fixes: 416447, 334542, 409828, 392186, 318568, and 164755.
* Thu Mar  8 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
* Wed Mar  7 2007 sbrabec@suse.cz
- Enabled all optional features and plugins.
* Tue Feb 27 2007 maw@suse.de
- BuildRequire and Require hicolor-icon-theme (#247450)
- Create a -doc subpackage (#248813).
* Mon Feb 19 2007 maw@suse.de
- Update to version 0.7.2
- Remove evince-CVE-2006-5864.patch which is now upstream
- Package gtk-doc generated docs
* Wed Jan 10 2007 sbrabec@suse.cz
- More spec file cleanups.
* Fri Dec 15 2006 maw@suse.de
- Move to /usr
- Cleanup specfile a bit.
* Thu Dec  7 2006 sbrabec@suse.cz
- Fixed buffer overflow in DSC parsing (#225201, CVE-2006-5864).
* Mon Nov 13 2006 jhargadon@suse.de
- re-enabling evince-desktop.patch to resolve bug #220232
* Tue Oct 17 2006 jhargadon@suse.de
- update to version 0.6.1
- Bug Fixes:
  * Current page follows find page
  * Reopen reloads document
  * Document size is guessed correctly
  * Icons are installed in correct folders
  * Memory leak fixed, etc
- translation updates
* Fri Oct 13 2006 jhargadon@suse.de
- Update for gnome-doc-utils-devel
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 0.6.0
- Links aren't lost while resizing
- Tiff backend crash is fixed
- Recent code and icons code are screen safe
- Crash while handling password-protected documents is fixed
- translation updates
* Fri Aug 18 2006 jhargadon@suse.de
- update to version 0.5.5
- Evince have preview mode for using with gtk+
- New print dialog is used with gtk 2.10
- Sidebar is unified with Epiphany
- Escape unfocus page entry
- Memory leak fixes
- updated translations
* Wed Aug  2 2006 gekker@suse.de
- Update to version 0.5.4
  New Features:
  * Evince supports impress slides with --enable-impress
  * URI's with anchors can be opened
  * Evince supports attachments in PDF files
  * Links system is reworked allowing named links
  * Evince can search text in DJVU files
  * Various types of PDF links are now supported
  * New backend for comic books (CBR/CBZ archives)
  * Storage of passwords for protected documents in gnome-keyring
  * Layout settings for new documents are taken from the last used document
  Interface imporovements:
  * Esc closes properties dialog
  * Cursor is hidden in presentation mode
  * Find previous item is added to the menu
  * Odd pages are placed to the right in dual page mode
  * Statusbar was removed to save space
  * Notification about page processing is shown on the page
  * Improved intelligent window title that shouldn't confuse users
  * Show index by default if available
  * Tooltips for links
  * Now we have right click context menu
  Bug Fixes:
  * Fixed multiple crashes
  * Page-label command line option works again
  * GOption port and po/LINGUAS work
  * Fixed mime type detection by file contents
  * Several memory leaks were found
  * Current page is selected more intelligently
  * View don't jump on scrolling
  * In presentation mode we scroll by one page
  * Produce thumbnails for comic books
  * Ghostscript interpreter is checked in runtime
  * PS mime types are listed in desktop file
  * It's possible to add sidebar checkbutton on toolbar
  * It's possible to print in inverse order
  * Filechooser now will ask for overwrite confirmation
  * Search now takes account for scrolling
  * It's allowed to scroll view from find entry
  * Evince don't jump to find result if window was scrolled during search
  * It's now clear what page the toolbar page number applies to
  * Printing of multiple copies start to work
  * Improved session handling
  * Vertical and horizontal scrolling on selection
  Updated Translations
* Mon Feb 20 2006 thoenig@suse.de
- Backport fix from Evince CVS to honor API changes of D-BUS 0.60
  (closes #151512)
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Wed Nov  9 2005 sbrabec@suse.cz
- Enabled D-BUS support.
- Update desktop file.
* Wed Nov  9 2005 sbrabec@suse.cz
- Show evince in menu (#132746).
* Fri Sep  2 2005 gekker@suse.de
- Update to version 0.4.0
* Thu Aug 18 2005 gekker@suse.de
- Update to version 0.3.4
- Put evince in correct desktop category
* Thu Jul 21 2005 gekker@suse.de
- Update to version 0.3.2
* Tue May 24 2005 sbrabec@suse.cz
- Updated to version 0.3.1.
* Mon May  9 2005 sbrabec@suse.cz
- New SuSE package, version 0.3.0.
